Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class UserPropertyEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.command.UserPropertyEvent

    public class UserPropertyEvent

extends NotificationEvent

Indicates a change to a user-defined property. Use the `getAction()` method to determine the specific kind of change.

Field Summary
`static int` | `ADD` The property was added.
`static int` | `DROP` The property was dropped.

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, DATA_DESIGN_RELOADED_EVENT, DATA_MART_PROPERTY_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`UserPropertyEvent(org.eclipse.birt.report.model.core.DesignElement obj, UserPropertyDefn prop, int theAction)` Constructor.

Method Summary
`int` | `getAction()` Returns the action that causes this event.
`int` | `getEventType()` Returns the event type.
`UserPropertyDefn` | `getProperty()` Returns the definition of the user-defined property that changed.
`boolean` | `isSame(NotificationEvent event)` Compares and justifies whether this event and the given event is the same.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final int ADD

  The property was added.

  See Also:
    Constant Field Values

### DROP

    public static final int DROP

  The property was dropped.

  See Also:
    Constant Field Values

Constructor Detail

### UserPropertyEvent

    public UserPropertyEvent(org.eclipse.birt.report.model.core.DesignElement obj,
                             UserPropertyDefn prop,
                             int theAction)

  Constructor.

  Parameters:
    `obj` - the element that changed.
    `prop` - the property that changed.
    `theAction` - the action which causes this event: `ADD`, or `DROP`.

Method Detail

### getAction

    public int getAction()

  Returns the action that causes this event. One of `ADD`, or `DROP`.

  Returns:
    the action that causes this event.

### getProperty

    public UserPropertyDefn getProperty()

  Returns the definition of the user-defined property that changed.

  Returns:
    the user-defined property definition.

### getEventType

    public int getEventType()

  Description copied from class: `NotificationEvent`
  Returns the event type. The following event types are defined:
  - CONTENT_EVENT
  - ELEMENT_DELETE_EVENT
  - EXTENDS_EVENT
  - NAME_EVENT
  - NAME_SPACE_EVENT
  - PROPERTY_EVENT
  - STYLE_EVENT
  - USER_PROP_EVENT
  - CUSTOM_MSG_EVENT
  - EXTENSION_PROPERTY_DEFINITION_EVENT
  - NOTIFICATION_EVENT
  - VALIDATION_EVENT
  - LIBRARY_EVENT
  - ATTRIBUTE_EVENT
  - DISPOSE_EVENT
  - CONTENT_REPLACE_EVENT
  - TEMPLATE_TRANSFORM_EVENT

  Specified by:
    `getEventType` in class `NotificationEvent`
  Returns:
    the event type.

### isSame

    public boolean isSame(NotificationEvent event)

  Description copied from class: `NotificationEvent`
  Compares and justifies whether this event and the given event is the same.

  Overrides:
    `isSame` in class `NotificationEvent`
  Parameters:
    `event` - the event to compare
  Returns:
    true if the two events are the same, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.